Pricefx REST API Reference
- Create a Revision
The Pricefx Backend API
Request
Retrieves a list of Price List Items. A filter can be applied.
| Required Permission | Roles with the Required Permission |
|---|---|
| PRICELIST_FETCH | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), View Price Lists (PB_PRICELISTS_RO) |
The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.
The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.fetch/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/pricelistmanager.fetch/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.fetch/{id}' \
-H 'Content-Type: application/json' \
-d '{
"endRow": 300,
"oldValues": null,
"operationType": "fetch",
"startRow": 0,
"textMatchStyle": "exact",
"data": {
"_constructor": "AdvancedCriteria",
"operator": "and",
"criteria": [
{
"fieldName": "unitOfMeasure",
"operator": "iEquals",
"value": "EA"
}
]
}
}'{ "response": { "node": "<node>", "startRow": 0, "data": [ … ], "endRow": 4, "totalRows": 4, "status": 0 } }
Request
Creates a revision of the Price List.
| Required Permission | Roles with the Required Permission |
|---|---|
| PRICELIST_ADD | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) |
Specifies parameter names and values used for formula computation.
A flag to indicate if manual overrides should be preserved in the revision.
Specifies whether the original product filter criteria (if still available/applicable) should be used.
A flag to indicate if only items with price changes should be written to the revision.
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.add/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/pricelistmanager.add/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.add/{id}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"priceListName": "PriceList01",
"targetDate": "2021-11-10T14:46:08.508Z",
"errorMode": "SKIP",
"keepManualOverrides": true,
"useFilter": true,
"writeOnlyChangedItems": true,
"configuration": {
"shotgunModeEnabled": false,
"notifyWhenFinished": "EMAIL",
"plTypeTypeId": null,
"preferencesSource": 2147490401,
"sortKeys": null,
"defaultFormulaOverride": "PriceList",
"resultElementName": "ListPrice",
"matrixFormulaName": null,
"matrixElementName": null,
"uomOverrideElementName": null,
"currencyOverrideElementName": null,
"elementNames": [
"ListPrice"
],
"hiddenElementNames": [],
"formulaParameters": {}
},
"override": null
}
}'{ "response": { "node": "<node>", "startRow": 0, "data": [ … ], "endRow": 4, "totalRows": 4, "status": 0 } }
Request
Calculates the Price List specified by id in the path parameter.
| Required Permission | Roles with the Required Permission |
|---|---|
| PRICELIST_UPDATE | Administer Price Lists (PB_PRICELISTS), Manage Price Lists (PB_PRICELISTSEDITOR) |
- Mock serverhttps://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.calculate/{id}
- URL:https://companynode.pricefx.com/pricefx/companypartition/pricelistmanager.calculate/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
-u <username>:<password> \
'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/pricelistmanager.calculate/{id}' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"fullListRecalc": false
}
}'{ "response": { "node": "pricefx-cluster-app-frontend-85cd8bf896-9x45v", "data": [ … ], "status": 0 } }
See the Key-Value Database Storage Knowledge Base article for more details.
Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.
Comments